/* * This file is part of contacts/contactui *
 * Copyright © 2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright controlled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others without the prior written consent of Nokia. */

#ifndef EDITVOICEMAILACTION_H_
#define EDITVOICEMAILACTION_H_

#include <MAction>

// Forward declarations
class VoicemailDialog;

class EditVoicemailAction : public MAction
{
    Q_OBJECT
    
public:
    explicit EditVoicemailAction(QObject *parent=0);

    ~EditVoicemailAction();

protected Q_SLOTS:
    /*!
     * Executed when action is triggered.
     */
    void editVoicemail();

private:    
    VoicemailDialog* mVoicemailDialog;

};

#endif /* EDITVOICEMAILACTION_H_ */
