/* * This file is part of libcontacts *
 * Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef CONTACTACCOUNTPATH_H_
#define CONTACTACCOUNTPATH_H_

#include <QString>

class ContactAccountPath
{
public:
    enum PathType {
        TelepathyPath = 0,
        SocialPath
    };

    static const QString TelepathyPrefix;

    static PathType pathType(const QString &path);
};

#endif // CONTACTACCOUNTPATH_H_
