/* * This file is part of contacts *
 * Copyright © 2010 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright controlled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others without the prior written consent of Nokia. */

#ifndef _ICONTACTHOLDER_H_
#define _ICONTACTHOLDER_H_

#include <QList>
#include <QContact>

QTM_USE_NAMESPACE

class IContactHolder
{
public:
    virtual ~IContactHolder() {}

    virtual const QContact & contact() const = 0;
};

#endif // _ICONTACTHOLDER_H_
